Subject: Re: [RFC] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Wed, 23 Jul 2008 13:06:42 +0200

On Wed, 23 Jul 2008, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
> >    15. What operating system do you use Git on?
> >        (one or more: multiple choice, as one can use more than one OS)
> >      - Linux, *BSD (FreeBSD, OpenBSD, etc.), MS Windows/Cygwin,
> >        MS Windows/msysGit, MacOS X, other UNIX, other
> 
> Shouldn't we at least name the ones we have specific support in our
> Makefile instead of blanketting them into one "other Unices"?  We may not
> necessarily want to list all of them, but at least major ones like SunOS,
> HP-UX and AIX deserve to be listed, methinks.

There will be a place to specify what "other Unices" one uses; in last
survey (see http://git.or.cz/gitwiki/GitSurvey2007) there were 5 SunOS
users, and only 1 for HP-UX and 1 for AIX (unless I have miscounted:
it was free form question in 2007 survey).

But perhaps it would be good idea to add Solaris, SunOS, AIX, HP-UX,
and perhaps also "MS Windows (unknown)" to the list.

> >      + "What hardware platforms do you use GIT on?" question was
> >        removed; should it stay?
> 
> I think the removal of "hardware platform" question is a good idea.

I was thinking about adding "Number of cores, and number of CPUs"
question instead; it might be also interesting how many people use
32-bit machine (e.g. i386), and how much 64-bit (e.g. x86_64).

But this is just curiosity; I don't think it matters to Git code what
machine it is run on.  Operating system info is more important, as
some of OS are either not POSIX, or have default filesystems with
strange features.

And I'd rather limit number of questions in the survey...

> >    24. If you want to see Git more widely used, what do you
> >        think we could do to make this happen?
> >      + Is this question necessary/useful?  Do we need wider adoption?
> 
> My stance on this has always been that wider adoption, even though it
> might eventually come as a consequence of being the best in the field, is
> never a goal.

O.K.  I'll remove this question, then.  Which is nice, as I'd rather
have this survey be shorter (it is easier both on survey takers, and
also later in survey analysis).

> >    27. Which of the following features do you use?
> >        (zero or more: multiple choice)
> >      - git-gui or other commit tool, gitk or other history viewer, patch
> >        management interface (e.g. StGIT), bundle, eol conversion,
> >        gitattributes, submodules, separate worktree, reflog, stash,
> >        shallow clone, detaching HEAD, mergetool, interactive rebase,
> >        add --interactive or other partial commit helper, commit
> >        templates, bisect, other (not mentioned here)
> >      + should probably be sorted in some resemblance of order
> >      + are there any new features which should be listed here?

I forgot about "keeping uncommitted changes in working tree", aka
"working with dirty tree" (I don't know if it is popular enough
to be included, but it _is_ one of distinguishing features).
 
> The above is a valid and interesting question, but "Which features do you
> find unique and useful ones, compared to other systems?" would be another
> interesting question to ask to people with experience with other systems.

Good idea.  I think I add it to the survey.

> >    28. If you use some important Git features not mentioned above,
> >        what are it?
> >        (free form)
> 
> "rerere"?

As it is not visible feature, one might use it without knowledge of it.
That is why I am reluctant to include it in the above list.  One can
always add it in free-form.

> >    40. Do you read the mailing list?
> >     -  yes/no
> 
> Which mailing list?  Do we want to ask about alternative lists?
> 
> I am not sure how and where, but I think j/egit should also be
> mentioned and/or asked about.

Good idea. So it would be... err, I realized that I don't know if
j/egit has separate mailing list, and what it is.  egit is listed
in "porcelains" one can use.

Nevertheless it would be good, I think, to expand list of possible
choices for this question:

    40. Do you read the mailing list?
        (multiple choice: zero or more; "none" is just in case)
     -  none/[email-masked]/Git For Human Beings/msysGit

-- 
Jakub Narebski
Poland